<pre>
  /_\   | |/ / | || |
 / _ \  | ' <  | __ |
/_/ \_\ |_|\_\ |_||_|
                  
 _  _   _   _   _  __  __  __   ___   ___  
| \| | | | | | | |/ / |  \/  | | __| |   \ 
| .` | | |_| | | ' <  | |\/| | | _|  | |) |
|_|\_|  \___/  |_|\_\ |_|  |_| |___| |___/ 
                                           
 ___   __  __     _      ___   ___   _  _    ___ 
|_ _| |  \/  |   /_\    / __| |_ _| | \| |  / __|
 | |  | |\/| |  / _ \  | (_ |  | |  | .` | | (_ |
|___| |_|  |_| /_/ \_\  \___| |___| |_|\_|  \___|
</pre>

                                                    



# LOGO
![LOGO](./logo.jpg)

# Introduction
nuclearowl is a user-friendly Python library designed to facilitate the processing, analysis, and visualization of nuclear imaging data. Whether you're a researcher, healthcare professional, or developer working in the field of nuclear medicine, NuclearImagePy provides the tools you need to streamline your workflows and gain deeper insights from your imaging data.

## Why Nuclear Imaging?

Nuclear imaging is a critical diagnostic tool in medicine, enabling the visualization of physiological processes at the molecular and cellular levels. Techniques such as Positron Emission Tomography (PET) and Single Photon Emission Computed Tomography (SPECT) rely on the detection of radioactive tracers to produce detailed images of the body's internal functions. Accurate processing and analysis of these images are essential for diagnosing diseases, monitoring treatment efficacy, and conducting advanced research.

## Features

- **Data Import and Export:** Seamlessly handle various nuclear imaging formats (e.g., DICOM, NIfTI) with robust import/export functionalities.
- **Image Processing:** Perform essential image processing tasks such as filtering, segmentation, and normalization tailored for nuclear imaging data.
- **Quantitative Analysis:** Extract and quantify key metrics from imaging data, including standardized uptake values (SUVs) and region of interest (ROI) analysis.
- **Visualization Tools:** Generate visualizations to explore and present your imaging data effectively or debug. e.g MIPS
- **Integration with Popular Libraries:** Leverage the power of NumPy, SciPy, PyTorch, and Matplotlib for extended functionality and customization. Especially if you are intrested into building machine learning algorithms.
- **Extensible Architecture:** Easily extend and customize the library to fit specific research or clinical needs through a modular and well-documented codebase.


# Installation

Simply run 

'''bash
pip install nuclearowl
'''


# Usage

[Check out the examples folder](examples/)


# LICENSE
Currently under **MIT LICENSE**

[See](LICENSE)

# Contact 
Please free to open an issue if something is not working properly or if you would like to see some features included.

[Christoforos Eseroglou](https://github.com/eser-chr)
[e-mail](chriseseroglou@gmail.com)


# Contribution
This software product is under development if you are intrested to participate in any way, just fork and work on your idea. Ideally, you also contact me, because we are a small community.
